import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询入库记录列表
export function listIncomeInoutWmsLog(query) {
  return request({
    url: '/incomeinoutwmslog/queryIncomeInoutWmsLogByPagination',
    method: 'get',
    params: query
  })
}

// 2. 查询入库记录详细信息
export function getIncomeInoutWmsLog(businessId) {
  return request({
    url: '/incomeinoutwmslog/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增入库记录
export function addIncomeInoutWmsLog(data) {
  data = Qs.stringify(data)
  return request({
    url: '/incomeinoutwmslog/add',
    method: 'post',
    data: data
  })
}

// 4. 修改入库记录
export function updateIncomeInoutWmsLog(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/incomeinoutwmslog/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除入库记录
export function delIncomeInoutWmsLog(businessId) {
  return request({
    url: '/incomeinoutwmslog/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出入库记录
export function exportIncomeInoutWmsLog(query) {
  return request({
    url: '/incomeinoutwmslog/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
