import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

// 1. 查询????列表
export function listIncomeMatBaseinfo(query) {
  return request({
    url: '/incomematbaseinfo/list',
    method: 'get',
    params: query
  })
}

// 2. 查询????详细信息
export function getIncomeMatBaseinfo(businessId) {
  return request({
    url: '/incomematbaseinfo/detail/' + businessId,
    method: 'get'
  })
}

// 3. 新增????
export function addIncomeMatBaseinfo(data) {
  data = Qs.stringify(data)
  return request({
    url: '/incomematbaseinfo/add',
    method: 'post',
    data: data
  })
}

// 4. 修改????
export function updateIncomeMatBaseinfo(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/incomematbaseinfo/update/' + businessId,
    method: 'put',
    data
  })
}

// 5. 逻辑删除????
export function delIncomeMatBaseinfo(businessId) {
  return request({
    url: '/incomematbaseinfo/deleteLogical/' + businessId,
    method: 'delete'
  })
}

// 6. 导出????
export function exportIncomeMatBaseinfo(query) {
  return request({
    url: '/incomematbaseinfo/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
